%define upstream_name    Perl-Tags
%define upstream_version 0.32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Testing output of L<Perl::Tags>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Module::Locate)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Strict)
BuildRequires: perl(parent)
BuildArch: noarch

%description
This is a drop-in replacement for the basic the Perl::Tags manpage parser.
Please see that module's perldoc, and test 't/04_ppi.t' for details.

(Doc patches very welcome!)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README TODO Changes
%{_mandir}/man3/*
%perl_vendorlib/*
%_bindir/*
%_mandir/*/*



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.320.0-8.mga8
+ Revision: 1505955
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.320.0-7.mga7
+ Revision: 1285715
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.320.0-6.mga7
+ Revision: 1166204
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.320.0-5.mga7
+ Revision: 1160521
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.320.0-4.mga6
+ Revision: 1032006
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.320.0-3.mga6
+ Revision: 940968
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.320.0-2.mga5
+ Revision: 744318
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.320.0-1.mga5
+ Revision: 733769
- imported package perl-Perl-Tags


* Wed Oct 01 2014 cpan2dist 0.32-1mga
- initial mageia release, generated with cpan2dist
